#include "common.h"

#include "analyze/analyze.h"
#include "defs.h"
#include "execution/executor_abstract.h"
#include "optimizer/plan.h"

Condition::Condition() { rhs_val.type = TYPE_UNDEFINED; }

Condition::Condition(const Condition &rhs)
    : lhs_col(rhs.lhs_col),
      op(rhs.op),
      is_rhs_val(rhs.is_rhs_val),
      rhs_col(rhs.rhs_col),
      rhs_val(rhs.rhs_val),
      analyzed_sub_query(rhs.analyzed_sub_query),
      sub_query_plan(rhs.sub_query_plan),
      sub_query_executor(rhs.sub_query_executor),
      value_list(rhs.value_list) {}